aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xupdate-pypi.bash5
1 files changed, 4 insertions, 1 deletions
diff --git a/update-pypi.bash b/update-pypi.bash
index 4423149..9410f8d 100755
--- a/update-pypi.bash
+++ b/update-pypi.bash
@@ -1,6 +1,9 @@
#!/usr/bin/env bash
-rm -R dist/
+set -e
+python3 -c 'import pypandoc'
+
+rm -rf dist/
python3 setup.py sdist # source distribution
python3 setup.py bdist_wheel # built package
# gpg --detach-sign -a dist/*